blob_id
stringlengths
40
40
language
stringclasses
1 value
repo_name
stringlengths
4
115
path
stringlengths
2
970
src_encoding
stringclasses
28 values
length_bytes
int64
31
5.38M
score
float64
2.52
5.28
int_score
int64
3
5
detected_licenses
listlengths
0
161
license_type
stringclasses
2 values
text
stringlengths
31
5.39M
download_success
bool
1 class
64d4702a6793af3050ab8fb928f0673867a8b590
Shell
xgarcias/jokerng
/packer/files/scripts/jail2pkg
UTF-8
3,954
3.484375
3
[ "BSD-3-Clause" ]
permissive
#!/bin/sh ZPOOL="zroot" error_msg() { echo $1 exit 1 } fstab_template() { local hostname=$1 echo /usr/jails/basejail /usr/jails/${hostname}/basejail nullfs ro 0 0 } ezjail_template () { local hostname=$1 local safename=$2 local ipaddress=$3 cat <<EOF export jail_${safename}_hostname="${hostname}" export j...
true
c798dec83c11b6318418f6958b8a1c0be4357fde
Shell
rostskadat/aws-cloudformation
/playbooks/roles/common/files/root/tag_root_volume.sh
UTF-8
1,259
3.9375
4
[ "Apache-2.0" ]
permissive
#!/bin/bash # # FILE: tag_root_volume.sh # # DESCRIPTION: This script will tag the EC2 instance root EBS Volume. This is taken from: # https://stackoverflow.com/questions/24026425/is-there-a-way-to-tag-a-root-volume-when-initializing-from-the-cloudformation-te # It will determine the volume_id attached to the curre...
true
85d9de28f17de8a8857cfc960420db8616637f3a
Shell
hoijui/CG1
/ex04/run.sh
UTF-8
596
3.421875
3
[]
no_license
#!/bin/sh SCRIPT_DIR=$(cd $(dirname $0); pwd) TARGET_DIR="${SCRIPT_DIR}/target" RESOURCES_DIR="${SCRIPT_DIR}/src/main/resources" EXECUTABLE="${TARGET_DIR}/cg1_ex04" cd "${SCRIPT_DIR}" if [ ! -f "${EXECUTABLE}" ]; then ./build.sh fi cd "${TARGET_DIR}" if [ ! -e data ]; then ln -s ../src/data data fi if [ ! -e me...
true
55e5204b2adcb44d368161e2c314dedddc833742
Shell
lakebug/spc_post
/scripts/exforecast_href_cal_thunder.sh
UTF-8
1,395
3.421875
3
[]
no_license
#!/bin/sh echo "=============================================================" echo "= =" echo "= Start the HREF Calibrated Thunderstorm forecast for f`printf %03d ${fhour}` =" echo "= =" echo "========...
true
36c422846e403e73f30ed969c547a5f8ce48ca07
Shell
nucleoosystem/PyGreSQL
/mktar
UTF-8
1,843
3.625
4
[ "PostgreSQL" ]
permissive
#!/bin/sh VERSION=5.1 DISTDIR=/u/WEB/pyg/files # some safety tests if [ ! -d $DISTDIR ] then echo "Hmmm. Are you sure you are on the right server?" exit 1 fi if [ ! -f setup.py -o ! -f pgmodule.c -o ! -d tests -o ! -d docs ] then echo "Hmmm. Are you sure you are in the right directory?" exit 1 fi FILES="*.c *.h...
true
dafe225f16c88b35de55f87b91a54392222a308e
Shell
Vald/docgreSQL
/lib/initDocDefDB.sh
UTF-8
1,860
2.546875
3
[]
no_license
#! /bin/bash # encoding: utf-8 # definition of doc_fields TABLE # it corresponds to available fields in documentation sqlite3 docDefDB.db "DROP TABLE IF EXISTS doc_fields" sqlite3 docDefDB.db "CREATE TABLE doc_fields (field TEXT, several TEXT NOT NULL, PRIMARY KEY (field))" sqlite3 docDefDB.db "INSERT INTO doc_fields ...
true
7699363fc1d126a174f87dbf5c8f4cec3296a117
Shell
Pavche/bash-scripts
/find-ipv6-dns-records.sh
UTF-8
490
2.578125
3
[]
no_license
#!/usr/bin/env bash SERVER_LIST="eduroam.egi.eu mailman.egi.eu www.egi.eu wiki.egi.eu aldor.ics.muni.cz documents.egi.eu www.metacentrum.cz rt.egi.eu indico.egi.eu portal.egi.eu mailman.cerit-sc.cz rt4.egi.eu wiki.metacentrum.cz deb8.egi.eu www.opensciencecommons.org sso.egi.eu documents.metacentrum.cz confluence.egi....
true
76f1125ea6f469b3ac3ab4ec339f96bf00ec7f91
Shell
AppScale/ats-deploy
/roles/cloud/files/eucalyptus-certbot-hook
UTF-8
1,200
3.703125
4
[ "Apache-2.0" ]
permissive
#!/bin/sh # Import HTTPS key/certificate from PEM files and configure all hosts # to use. # # This hook a/b switches to coordinate moving between certifcates on # all hosts and allow manual rollback. # set -eo pipefail KEY_ALIAS_A="eucalyptus-cloud-a" KEY_ALIAS_B="eucalyptus-cloud-b" KEY_ALIAS_PROP="bootstrap.webservi...
true
4eb0188e4c4c233bd2eab31a4ada4b30c8d70489
Shell
jianling/tangram.baidu.com
/source/github_update.sh
UTF-8
3,199
3.6875
4
[]
no_license
#!/bin/bash #和github有关的变量 rootPath=$(pwd) basePath=$rootPath"/github" #根目录 #和文件复制有关的变量 copyFilePath=$rootPath"/../src/js" #文件复制的目录 fragmentFolder="fragment" #存放碎片文件夹的名称 downloadFolder="download" #存放供用户下载的大文件的目录 #和md5生成文件有关的变量 md5Path=$rootPath #根据一个目录是否是git目录来运算出git是clone还是pull function getGitType(){ gitFolder="cl...
true
4e0727e47519a5a3f79de52dd2a2ef712462d125
Shell
xlii-chl/scripts
/project/extend/v2/bash/wexample/site/config.sh
UTF-8
284
3.390625
3
[]
no_license
#!/usr/bin/env bash siteConfigArgs() { _ARGUMENTS=( 'key k "Key of config param to get" true' 'dir_site d "Root site directory" false' ) } siteConfig() { if [ -z "${DIR_SITE+x}" ]; then DIR_SITE=./ fi; . .wex # Uppercase key. eval 'echo ${'${KEY^^}'}' }
true
fd473adf7255f11d8802f96fbb8c9663900e7f22
Shell
fabloch/linux-makerspace-installer
/install.sh
UTF-8
3,318
2.828125
3
[]
no_license
#!/bin/sh ######### Main setup ######### sudo add-apt-repository universe sudo apt-get update sudo apt-get upgrade # ubuntu make sudo add-apt-repository ppa:ubuntu-desktop/ubuntu-make sudo apt-get update sudo apt-get install -y ubuntu-make # create user USR = fabloch PWD = fabloch # echo "Username: [fabloch]"; # rea...
true
ac14a38eccbe0cc8286f41de36466cde0f7a2d4d
Shell
Fid04/core-ddos
/configs/iptables.sh
UTF-8
2,160
2.796875
3
[]
no_license
#!/bin/sh # Modifica o endereço IP dos pacotes vindos da máquina 192.168.1.2 da rede interna # que tem como destino a interface eth1 para 200.200.217.40 (que é o nosso endereço # IP da interface ligada a Internet). # iptables -t nat -A POSTROUTING -s 192.168.1.2 -o eth1 -j SNAT --to 200.200.217.40 #Modifica o endereço...
true
28625cb243eebcbb21d22cfe0c431d386b92e686
Shell
mwatson128/Perl_scripts
/offln/rbin/rj
UTF-8
149
2.65625
3
[]
no_license
#! /bin/sh if [ -z "$1" ] then TODAY=`env TZ=GMT0 date '+%m%d%y'` else TODAY=$1 fi echo $TODAY ulgscan -f ${HOME}/bin/rj_ALIAS ./rej${TODAY}.lg
true
0cfbaed6da04f8e98a552a361671dd29b12e0329
Shell
ideasonpurpose/basic-wordpress-box
/scripts/setup.sh
UTF-8
414
2.515625
3
[ "MIT" ]
permissive
#!/bin/bash -eux # Add vagrant user to sudoers. echo "vagrant ALL=(ALL) NOPASSWD: ALL" >> /etc/sudoers sed -i "s/^.*requiretty/#Defaults requiretty/" /etc/sudoers # # Install Ansible prereqs # sudo apt-get -y update # sudo apt-get -y install software-properties-common # # Install Ansible. # sudo apt-add...
true
ec9809160df6d9381bbae13906735508c5872e30
Shell
mosscylium/forestfloor
/build.sh
UTF-8
127
2.765625
3
[ "Apache-2.0" ]
permissive
#!/bin/bash set -e BUILD_PATH=$(dirname $0) # Build base container image sudo docker build -t="forestfloor/base" $BUILD_PATH
true
1f55d8bbe896b34d2c179d750e5fe79e2886b520
Shell
Kazhuu/bash-examples
/return-value.sh
UTF-8
1,032
4.21875
4
[ "MIT" ]
permissive
#!/bin/bash # In bash functions cannot return values like normal programming languages when # called. What they will return is status code of the last executed command. 0 # for successful command and non-zero for failure (1-255). This value can be # accessed outside of the function with '$?' variable. Functions can al...
true
d05bf4d9c8da4ae91ca9d8e6a582e73bd88637e8
Shell
jiazhizhong/bk-log
/apps/log_extract/scripts/cos.sh
UTF-8
1,431
3.515625
4
[ "MIT" ]
permissive
#!/bin/bash export LC_ALL=C export LANG=C anynowtime="date +'%Y-%m-%d %H:%M:%S'" NOW="echo [\`$anynowtime\`][PID:$$]" TARGET_DIR_PREFIX="/bk_log_extract/distribution/" function job_start { echo "$(eval "$NOW") job_start" } function job_log { MSG="$*" echo "$(eval "$NOW") $MSG" } function job_success { ...
true
52d34bbd59af5ef521b80f05a6fec6cfc580b3c2
Shell
SusovanGithub/college-time-native-coding
/Shell Programs/Years Programs/2017/D2_8.sh
UTF-8
348
3.71875
4
[]
no_license
# Input 3 numbers through the keyboard. Write a shell script to find their LCM. str="" for ((i=0;i<3;i++)) do echo -n "Enter a Number =" read n n=`factor $n|cut -d' ' -f 2-` str=$str$n" " done str=`echo "$str"|tr -t ' ' '\n'` echo -e "$str"|sort -u >ff lcm=1 exec<ff while read n do let lcm=$lcm*$n done echo "LCM ...
true
73015a28a7b80a510b01502475e65e1dd79b7e67
Shell
MEGA65/mega65-keyboard-cpld
/version.sh
UTF-8
670
3.40625
3
[]
no_license
#!/bin/bash # status of 'B'ranch in 'S'hort format branch=`git status -b -s | head -n 1` # get from charpos3, for 6 chars branch2=${branch:3:6} version=`git describe --always --abbrev=8` datestamp=$(expr $(expr $(date +%Y) - 2020) \* 366 + `date +%j`) echo ${datestamp}-${version} > version.txt echo $datestamp $versi...
true
7d7a7a1de520f4a991108f918096c1d80fa87363
Shell
osabuoun/repast
/Repast2/repast.sh
UTF-8
4,281
3.21875
3
[]
no_license
#!/bin/sh compile() { WRK=~/Model rm -rf $WRK mkdir -p $WRK cd $WRK if [ ! -e $SRCDIR/srcmodel.tar ]; then pwd ls -al echo "srcmodel.tar not found" exit 1 fi tar -xf $SRCDIR/srcmodel.tar MODEL_NAME=`tar -tf $SRCDIR/srcmodel.tar | head -1 | awk -F'/' '{ print $1 }'` cd $MODEL_NAME if [ $? -ne 0 ];...
true
7439fb9c25535e471467cf95c815bfbe8060655a
Shell
williamhogman/fsbbs
/scripts/build-doc.sh
UTF-8
594
3.15625
3
[]
no_license
#!/bin/sh rm -rf .bld mkdir .bld cat *.md > .bld/markdown_all.md echo "Copying html and css" cp head.html .bld/head.html cp foot.html .bld/foot.html cp style.css .bld/style.css echo "Converting dia to svg" find ./img/ -name "*.dia" | parallel dia -e {.}.svg {} mkdir .bld/img cp -v img/*.png .bld/img cp -v img/*.s...
true
3d35b1a222059bb130c779d9a875f96abcdd321d
Shell
RandhirGupta/CurrencyConverter-Multiplatform
/script/android_script.sh
UTF-8
1,058
3.65625
4
[]
no_license
#!/usr/bin/env bash set -e function installSdk(){ #Use existing SDK with existing 'sdkmanager', otherwise install it which sdkmanager &> /dev/null || getAndroidSdk PROXY_ARGS="" if [[ ! -z "$HTTPS_PROXY" ]]; then PROXY_HOST="$(echo "$HTTPS_PROXY" | cut -d : -f 1,1)" PROXY_PORT="$(echo "$HTTPS_PROXY" | cu...
true
05e9277871803ed9425ba1863f0b6f62dedf9901
Shell
jgajula19/repo-1
/jsscript3.sh
UTF-8
140
2.890625
3
[]
no_license
#!/bin/bash/ # a script to add two numbers echo "enter first number" read a; echo "enter second number" read b; echo "add = $(( $a + $b))"
true
b7480161f491723594d9a8e3853e93cb393edaba
Shell
Mossop/symmetrical-telegram
/build_bsdiff_patch
UTF-8
2,186
3.953125
4
[]
no_license
#! /bin/bash XZ="xz --compress --lzma2 --format=xz --check=crc64" XZ86="xz --compress --x86 --lzma2 --format=xz --check=crc64" MBSDIFF="./mbsdiff/mbsdiff" ZUCCHINI="./zucchini/zucchini -gen" function do_extract() { PLATFORM=$1 VERSION=$2 DIR=extracts/$PLATFORM/$VERSION echo $DIR if [ -d $DIR ]; then r...
true
4ff8094d406e02714b6902c4006cc3f6f11c2b1d
Shell
MW-autocat-script/MW-autocat-script
/catscripts/Education/GED/GED.sh
UTF-8
395
3.140625
3
[ "MIT" ]
permissive
#!/bin/bash readonly KEYWORDS_GED="\bGED(|s)\b|General(| )Educational(| )Development" readonly KEYWORDS_GED_ALL="$KEYWORDS_GED" if [ "$1" == "" ]; then debug_start "General Educational Development tests (GEDs)" GED=$(egrep -i "$KEYWORDS_GED" "$NEWPAGES") categorize "GED" "General Educational Development te...
true
209aa8f8f86737af826f5ec251898dd237cb459c
Shell
KingdomTaoF/Python-exercise
/shell/tx_tencent_name.sh
UTF-8
6,137
3.390625
3
[]
no_license
#!/bin/bash # 功能:1、这个是用来根据上周的腾讯的开服计划生成下周的开服计划的,并且会生成每个区服对应的区服ID和区服名称 # 用法: tencent_name.sh 开服邮件文件 开服个数(天多少个就生成多少个) # 2、根据邮件简单显示当周的开服计划 # 用法:tencent_name.sh 开服计划邮件 #animallist=['子鼠', '丑牛', '寅虎', '卯兔', '辰龙', '巳蛇', '午马', '未羊', '申猴', '酉鸡', '戌狗', '亥猪'] animallist=(子鼠 丑牛 寅虎 卯兔 辰龙 巳蛇 午马 未羊 申猴 酉鸡 戌狗 亥猪) #con...
true
d94a7effe4a26bc0c7f900596a312461c8b7a7e0
Shell
zhaofeng-shu33/compress-files-to-rar
/install_dep.sh
UTF-8
188
2.734375
3
[]
no_license
#!/bin/bash if [ ! -f /usr/local/bin/rar ]; then wget https://www.rarlab.com/rar/rarlinux-x64-5.8.b1.tar.gz tar -xzf rarlinux-x64-5.8.b1.tar.gz cd rar sudo make install fi
true
89e706bf74afc98a33c0a578fbd7f9b9f76bfa13
Shell
socratesone/vespa
/travis/travis.sh
UTF-8
614
3.109375
3
[ "Apache-2.0", "LicenseRef-scancode-unknown-license-reference" ]
permissive
#!/bin/bash # Copyright 2017 Yahoo Holdings. Licensed under the terms of the Apache 2.0 license. See LICENSE in the project root. set -e # Workaround for Travis log output timeout (jobs without output over 10 minutes are killed) function bell() { while true; do echo "." sleep 300 done } DOCKER_IMAGE=vespa...
true
3e182fd6f426d9cd0515d84a5a38815c94a41ed0
Shell
alejoceballos/vagrant-provisioning
/bootstrap-jenkins.sh
UTF-8
1,974
2.953125
3
[ "Apache-2.0" ]
permissive
#!/usr/bin/env bash # Check: # http://docs.vagrantup.com/v2/getting-started/provisioning.html ## ############################################################################# ## Jenkins ## References: ## + https://wiki.jenkins-ci.org/display/JENKINS/Installing+Jenkins+on+Ubuntu ## ###################################...
true
ffcef031b40ddfdf7d5177683919f245933e0985
Shell
uladkasach/clientside-view-loader
/active_modules/_init.sh
UTF-8
714
3.4375
3
[ "MIT" ]
permissive
modules=( "clientside-require" ) BASE="$PWD/.." ## add modules in modules list for MODULE_NAME in ${modules[@]}; do echo "ensuring $MODULE_NAME is linked" if [ ! -d "$BASE/active_modules/$MODULE_NAME" ]; then echo " -> creating sym link for : $BASE/node_modules/$MODULE_NAME" ln -s "$BASE/no...
true
a5d49121225599c1174f4e686eb7e6f0ac5dd0af
Shell
joeribekker/dotfiles
/bash/completions.sh
UTF-8
306
2.65625
3
[]
no_license
source ~/.dotfiles/bash/completions/virtualenv.sh source ~/.dotfiles/bash/completions/django.sh # Different local bash completions if [ -f /opt/local/etc/bash_completion ]; then . /opt/local/etc/bash_completion fi if [ -f /etc/bash_completion ] && ! shopt -oq posix; then . /etc/bash_completion fi
true
599a80ce148028056e4f14ed3e05395c4079178d
Shell
comit-network/create-comit-app
/create/tests/run_demo.sh
UTF-8
2,380
3.9375
4
[ "Apache-2.0" ]
permissive
#!/usr/bin/env bash set -e if [ "$#" -ne 1 ]; then echo "Usage: $0 <demo name>" exit 2; fi DEMO_NAME=$1; PROJECT_DIR=$(git rev-parse --show-toplevel) DEMO_DIR="${PROJECT_DIR}/create/new_project/demos/${DEMO_NAME}" if ! [ -d "$DEMO_DIR" ]; then echo "Demo dir does not exit: $DEMO_DIR"; exit 2; fi LOG_FILE=...
true
8e90e98dae0e79db497b0ca00910171ab7550f90
Shell
cha63506/packages-1
/docutils/trunk/PKGBUILD
UTF-8
1,584
2.59375
3
[]
no_license
# $Id$ # Maintainer : Ionut Biru <ibiru@archlinux.org> # Contributor: Sergej Pupykin <pupykin.s+arch@gmail.com> pkgname=docutils pkgver=0.8.1 pkgrel=1 pkgdesc="Set of tools for processing plaintext docs into formats such as HTML, XML, or LaTeX" arch=('any') url="http://docutils.sourceforge.net" license=('custom') depe...
true
082ff02982c596352f9282056a5b11ca9b2d3ad7
Shell
LeSpocky/eis
/cuimenu/menus/var/install/bin/lvmman.cui.pvs.module.sh
UTF-8
20,936
3.265625
3
[]
no_license
#!/bin/bash #------------------------------------------------------------------------------ # /var/install/bin/lvmman.cui.pvs.module.sh - module for eisfair lvm mananger # # Creation: 2014-10-01 Jens Vehlhaber jens@eisfair.org # Copyright (c) 2001-2014 the eisfair team, team(at)eisfair(dot)org # # This program is f...
true
c02450aa655b181992b6e0e9144f72daa2e92c75
Shell
zamlz-wsl/dotfiles
/etc/lemonbar/modules/memory
UTF-8
967
3.3125
3
[]
no_license
#!/bin/sh . $HOME/etc/lemonbar/config LOGGER=$(get_logger lemonbar.memory) $LOGGER "Initializing memory module" while true; do memory=$(free -h | grep 'Mem:') memory_total=$(echo $memory | awk {'print $2'} | tr -d ' ') memory_used=$(echo $memory | awk {'print $3'} | tr -d ' ') mem_msg="$memory_used/$...
true
54413f18f1ef06ff8115e0298de3ce62e23ed7e8
Shell
dowjones/reapsaw
/entrypoint.sh
UTF-8
2,076
3.828125
4
[ "Apache-2.0" ]
permissive
#!/bin/bash create_reports() { # ---------------------------------------------------------------- # Generate consolidated report and send results to Report Portal # ---------------------------------------------------------------- RP=false if [[ "${REPORT_PORTAL_URL}" && "${RP_TOKEN}" ]]; then if [[ "${RP...
true
07cf9751509bad0c5abe099a8d9648dab82ff8ca
Shell
arkh91/packages
/Ubuntu/mac_address_changer.sh
UTF-8
616
3.25
3
[]
no_license
#!/bin/bash hexchars="0123456789ABCDEF" end=$( for i in {1..10} ; do echo -n ${hexchars:$(( $RANDOM % 16 )):1} ; done | sed -e 's/\(..\)/:\1/g' ) MAC=00$end service network-manager stop #ifconfig wlan0 down #ifconfig wlan0 hw ether $MAC #ifconfig wlan0 up ifconfig enp0s3 down ifconfig enp0s3 hw ether $MAC ifconfig...
true
5abe94f937f7b0003b2d23a9c52b51c1bd17d8b6
Shell
shivamsharma00/hackerrank-problems
/Artificial Intelligence/backup.txt
UTF-8
577
3.3125
3
[]
no_license
#!/bin/bash # creating a new user can also given separately on terminal sudo adduser username # shell script to backup folders current_time = `date +%b-%d-%y` # Get the cuurent time to use as folder dest = /home/usr/shivam/backup-$current_time.tar.gz # creating a backup file src = /home/usr/shivam...
true
acb75ed7e3f94aa6052ec9b0bb853f0fc70f1659
Shell
Martians/deploy
/shell/ambari/vagrant/script/repo/local_network.sh
UTF-8
746
2.515625
3
[]
no_license
#!/bin/sh source /vagrant/config/config.sh REPO_LOCAL=repo.$DOMAIN #REPO_LOCAL=$REPO_HOST sudo rm /etc/yum.repos.d/local_network.repo -rf cat << EOF | sudo tee -a /etc/yum.repos.d/local_network.repo [common] name=local network common repo baseurl=http://$REPO_LOCAL/common/centos7/ gpgcheck=0 enabled=1 priority=1 prox...
true
cb07e7a6eed88c300f9a7ec246ce20496ba5a3ee
Shell
dasaed/cmsc6950
/IntroductionToShellScripts/quotes-ansi-c.sh
UTF-8
492
3.21875
3
[]
no_license
#!/bin/bash # We have used \n as a new line, \x40 is hex value for @ # and \56 is octal value for . echo echo "We have used \x40 is $hex value for @ echo and \56 is octal value for . and \n as a new line" echo echo $'email: web\x40linuxconfig\56org\n' echo $'web: www\56linuxconfig\56org\n' echo "alert (bell twice)"...
true
f3b9247d1da67b6f5e240bd23654cba250a424a6
Shell
michaelstein/TypeHelper
/build-linux-debug-qtcreator.sh
UTF-8
337
2.796875
3
[ "MIT" ]
permissive
#!/bin/bash SOURCE_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" >/dev/null && pwd )" mkdir -p "$SOURCE_DIR/../build-TypeHelper-conan" cd "$SOURCE_DIR/../build-TypeHelper-conan" conan install $SOURCE_DIR -pr=gcc820d source activate.sh && cmake -DCMAKE_BUILD_TYPE=Debug -G "CodeBlocks - Unix Makefiles" $SOURCE_DIR sour...
true
00011db6228c8345b76811799b54f8625acfc36b
Shell
hashd/dotfiles
/confs/zsh/zsh.aliases
UTF-8
1,664
2.859375
3
[ "MIT" ]
permissive
#!/bin/zsh alias tmux='tmux -u -2' alias home='cd ~' # Folder aliases alias reset="tput reset;clear;" alias serve="python -m SimpleHTTPServer" # apt-get aliases alias install="sudo apt-get install" alias upgrade="sudo apt-get upgrade" alias remove="sudo apt-get remove" alias update="sudo apt-get update" alias dist-up...
true
eabcb889ec0dde23cdf4eb84e789683102e3b09a
Shell
arendina/linuxfromscratch
/scripts/5.29.Perl.sh
UTF-8
331
2.5625
3
[]
no_license
#!/bin/bash # 5.30. Perl-$ver ver='5.28.1' cd $LFS/sources tar -xvf perl-$ver.tar.xz cd perl-$ver sh Configure -des -Dprefix=/tools -Dlibs=-lm -Uloclibpth -Ulocincpth make cp -v perl cpan/podlators/scripts/pod2man /tools/bin mkdir -pv /tools/lib/perl5/$ver cp -Rv lib/* /tools/lib/perl5/$ver cd $LFS/sources rm -rf...
true
e0e186e9626bab3bce617049afab1f82c4d5977b
Shell
sordina/Profilerrific
/profilerrific
UTF-8
2,017
3.875
4
[]
no_license
#!/usr/bin/env bash function usage { echo "Usage: profilerrific" echo " -n --name name" echo " [-h --help ]" echo " [-s --scripts script ... ]" echo " [-r --revisions revision ... ]" echo " [-d --diff prefix ]" echo " [-g --grapher script ]" } function tid...
true
551bcbf27fcd8bf2dede116df07832bda89c25d6
Shell
hanscj1/cepheus
/cookbooks/cepheus/files/default/scripts/ceph_replace_failed_drive.sh
UTF-8
2,564
3.46875
3
[ "Apache-2.0" ]
permissive
#!/bin/bash # # Author: Chris Jones <chris.jones@lambdastack.io> # Copyright 2017, LambdaStack # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 #...
true
7a8171887893e05e2abab1905efc921cf51630e6
Shell
tomasebm/TwitterStreamerTemplate
/scripts/diskusagewarning.sh
UTF-8
386
3.40625
3
[]
no_license
#!/bin/bash # www.fduran.com # script that will send an email to EMAIL when disk use in partition PART is bigger than %MAX # adapt these 3 parameters to your case MAX=90 EMAIL=ejemplo@gmail.com PART=xvda1 USE=`df -h |grep $PART | awk '{ print $5 }' | cut -d'%' -f1` if [ $USE -gt $MAX ]; then echo "Porcentaje en uso...
true
8d19eaeb6af6f364e2f8a8bb76eb237be3b41ab6
Shell
foss-for-synopsys-dwc-arc-processors/synopsys-caffe-models
/caffe_models/evgen_util.bash
UTF-8
2,317
3.609375
4
[]
no_license
# Utilities to be sourced in another script if [ -z "$name" ] ; then name="test" fi if [[ -z "$EV_CNNSDK_HOME" || ! -d $EV_CNNSDK_HOME ]] ; then echo "EV_CNNSDK_HOME not correctly set in the environment" exit 1 fi evgen=${EV_CNNSDK_HOME}/evgencnn/scripts/evgencnn blobr=${EV_CNNSDK_HOME}/install/bin/blobr...
true
1381d7caae00cf94108b2e93d9dab4aa5f319c12
Shell
ken3/LFS
/8.2/scripts/320_acl.sh
EUC-JP
3,335
3.703125
4
[]
no_license
# Linux From Scratch - Version 8.2 # Chapter 6. Installing Basic System Software # 6.25. Acl-2.2.52 ####################################################################### # ե졼ɤ߹ # ####################################################################### . buildlfs || exit 1 ...
true
28574c2a8d6e71022341647905a1bd02e611ea0c
Shell
sghsri/dotfiles
/.bashrc
UTF-8
551
2.703125
3
[]
no_license
PROMPT_DIRTRIM=3 bind '"\t":menu-complete' bind "set show-all-if-ambiguous on" bind "set completion-ignore-case on" bind "set menu-complete-display-prefix on" ###-begin-npm-completion-### # # npm command completion script # # Installation: npm completion >> ~/.bashrc (or ~/.zshrc) # Or, maybe: npm completion > /usr/lo...
true
c258d9423f18edb23403ed211273e95a31cd8774
Shell
Xitog/tallentaa
/tools/pull_all.sh
UTF-8
2,655
3.28125
3
[]
no_license
# status: lx w8 w10 https ssh # ash yes yes https://github.com/Xitog/ash.git git@github.com:Xitog/ash.git # dgx yes yes https://github.com/Xitog/dgx.git git@github.com:Xitog/dgx.git # hamill ye...
true
54a7453d5ebda0de6bedbe14c5bfc0ae2b05b1f3
Shell
drjosephliu/dotfiles
/.bash_profile
UTF-8
721
2.859375
3
[]
no_license
alias ll='ls -hartl' alias g='grep -i' alias get='curl -OL' alias tmux="TERM=screen-256color-bce tmux" alias vim='nvim' alias python='python3' alias pip='pip3' eval "$(/opt/homebrew/bin/brew shellenv)" source ~/.git-prompt.sh PS1='[\W$(__git_ps1 " (%s)")]\$ ' export PROMPT_COMMAND='echo -ne "\033]0;${PWD/#$HOME/~}\00...
true
dee5c241f022c74497fc8e8620c0fa30c45d0e96
Shell
NaomiGaynor/dotfiles
/brew.sh
UTF-8
2,203
3.265625
3
[]
no_license
#!/bin/bash source ./utils/confirm.sh brew_packages=( vim htop yarn tree exa # ls replacement https://github.com/ogham/exa watch jq # parse json response https://stedolan.github.io/jq/ bat # cat replacement https://github.com/sharkdp/bat prettyping # ping replacement https://github...
true
6b0bf8d0b15f9a959cc8a384ea64d0d2aea0b847
Shell
auroraeosrose/scripts
/php/valgrind.sh
UTF-8
767
3.28125
3
[ "MIT" ]
permissive
#!/bin/sh # This will run php tests with leak detection and valgrind on # for already compiled debug and zts-debug # this can still take forever # this is where your PHP binaries are [ -z $PHP_BIN_ROOT ] && PHP_BIN_ROOT=/usr/local # this is the parent dir for your git checkouts [ -z $PHP_SOURCE ] && PHP_SOURCE=./ # ...
true
9948d0a01df80bfac9cbc19d94af12e5df1cb76a
Shell
dfki-ric/robot_remote_control
/compile_protobuf_from_source.bash
UTF-8
870
4.09375
4
[ "BSD-3-Clause" ]
permissive
#!/bin/bash set -e # abort with error if any command returns with something other than zero ############ # Install script for compiling proto3 from source # # In case your OS does not provide protobuf3, install the build dependencies of protobuf: # $> sudo apt-get install autoconf automake libtool curl make g++ unzip ...
true
a1e03869266f3815d483d930779709d96b6abc58
Shell
dinner3000/scripts
/ubuntu_18_init_env.sh
UTF-8
2,378
2.515625
3
[]
no_license
#!/bin/sh -ex #Set proxy if needed export all_proxy=http://172.16.52.1:33888 #Oh my zsh - install apt install -y zsh curl -Lo omz_install.sh https://raw.githubusercontent.com/robbyrussell/oh-my-zsh/master/tools/install.sh chmod +x omz_install.sh ./omz_install.sh git clone https://github.com/zsh-users/zsh-autosugges...
true
a5db2b1c5e4e458af6fc72363db78749d36fdc80
Shell
aarthiKarthik/hyperledger_fabric
/Upgrade_CC/marbles_script.sh
UTF-8
2,611
3.46875
3
[]
no_license
#!/bin/bash echo echo " " echo "Starting marbles private data collection demo" echo " " CHANNEL_NAME="$1" CC_NAME="$2" VERSION_NUM="$3" CC_SRC_PATH="github.com/chaincode/marbles02_private/go/" COLLECTIONS_PATH="$GOPATH/src/github.com/chaincode/marbles02_private/collections_config.json" echo "Channel name : "$CHANNE...
true
373f1ede57854f7d1a6a75fd0b23727e2406d2e1
Shell
ekmixon/conjur-api-go
/bin/utils.sh
UTF-8
498
3.484375
3
[ "LicenseRef-scancode-unknown-license-reference", "Apache-2.0" ]
permissive
#!/usr/bin/env bash export compose_file="../docker-compose.yml" function announce() { BLUE='\033[0;34m' NC='\033[0m' # No Color echo -e "$BLUE ================================ ${1} ================================ $NC" } exec_on() { local container="$1"; shift docker exec "$(docker-...
true
e031f1659c1ab6dde8850bc2d5a1f79b8236295b
Shell
bioconda/bioconda-recipes
/recipes/ngscheckmate/build.sh
UTF-8
599
3.046875
3
[ "MIT" ]
permissive
#!/bin/bash cd $PREFIX mv $SRC_DIR $PREFIX/NGSCheckMate mkdir -p $PREFIX/bin cat << EOF > $PREFIX/bin/ncm.py #!/usr/bin/env bash export NCM_HOME=$PREFIX/NGSCheckMate echo "Set the path to your reference file with the NCM_REF environment variable" echo "eg. export NCM_REF=/<path>/<to>/<reference>" echo python $PREF...
true
93dfaf999bcb51ab2657a1c39c867a3b1f7f21de
Shell
spacefrogg/afs-scripts
/afs-user-distribution.sh
UTF-8
1,784
4.40625
4
[]
no_license
#!/bin/bash # # Version: 0.4 function usage() { cat<<ENDUSAGE Usage: $(basename $0) [-a|-g <num>|-h] Options: -a Simply count all the users for each letter of the alphabet and display the distribution. -g <num> Determine adjacent letter groupings that produces group...
true
08ade350ebb5c2e59b633a7048d4c5a59bb2d467
Shell
mkoskar/dotfiles
/bin/sshgen-cert
UTF-8
1,086
4.15625
4
[ "Apache-2.0" ]
permissive
#!/usr/bin/env bash set -eu prgname=${0##*/} _usage() { cat <<-EOF usage: $prgname [-H] [-P] ca_key pub_key identity principals [ssh-keygen opts] Generate SSH client or host certificate. Note: Multiple principals may be specified separated by commas. -H - generate host certificate -P - generate ...
true
606a0de4b6f8db33636028c27256074a57a84e96
Shell
cdeck3r/BilderSkript
/Dockerfiles/install_builder_supplementals.sh
UTF-8
3,700
4.0625
4
[ "MIT" ]
permissive
#!/bin/bash # # Install supplemental software # * slackr: bash script for Slack messaging # * hugo: static webpage generator # * java: detect and version check # # this directory is the script directory SCRIPT_DIR="$( cd "$(dirname "$0")" ; pwd -P )" cd $SCRIPT_DIR # important variables SLACKR_URL='https://github.c...
true
fe0346459bf57ccca55a9cfa0b67bc3513a8b0d9
Shell
rburchell/dotfiles
/.local/bin/linux/diotop
UTF-8
719
3.65625
4
[]
no_license
#!/bin/bash # Poor man's iotop. # Probably never useful, but it was, once, when # I had no capability to get a working iotop running. if [ "$(id -u)" -ne 0 ] ; then echo "Must be root" 2>&1 exit 1 fi delay=2 lista=$(for p in $(pgrep "."); do echo -n "$p "; grep ^rchar /proc/$p/io 2>/dev/null; done) while :; do ...
true
0f7f0eee136bff580f03528598addaaec1476edb
Shell
isabella232/unscramble
/languages/zsh/unscramble
UTF-8
283
3.265625
3
[]
no_license
#!/usr/bin/env zsh # A zsh script to unscramble a word. input_length=${#1} input_letters=${${(Lo)${(s::)1}}} while read word; do if [[ ${#word} == $input_length ]] && [[ ${${(Lo)${(s::)word}}} == $input_letters ]]; then echo $word exit fi done < /usr/share/dict/words
true
2224addd5cdea3ed6b4d6a6c0f899696febb201b
Shell
Charangit-new/ArrayProblems
/arrayrandom.sh
UTF-8
662
3.34375
3
[]
no_license
#!/bin/bash read -p "Enter no of inputs " n for (( i=1 ; i<=n ; i++)) do random=$(($RANDOM%900+100)) arr[i]=$random done echo "The array of $n elements : " echo "${arr[@]} " max1=${arr[1]} #max2=${arr[1]} for (( i=1;i<=n;i++)) do if [ ${arr[i]} -gt $max1 ] then max2=$max1 max1=${arr[i]} elif [[ ${arr[i]} -gt ...
true
753fbb38d9026db2ade6c28dbd40968e06915799
Shell
JoshMKing/Scripts
/syshud
UTF-8
3,070
3.703125
4
[]
no_license
#!/bin/bash # Display basic system info when logging in to a cpanel server # # Adapted by Josh King <j.king@kualo.com> REVISION=beta5; if [ ! -d "/root/.cpanel" ]; then echo "Exiting. This is not a cPanel Machine." exit 1 fi #set colors red='\E[1;31m'; yellow='\E[1;33m'; green='\E[1;32m'; white='e[1;37m'; normal=...
true
e9e18ea92a5f9fb058f18127749299ec659fc01a
Shell
XingyuXu-cuhk/Landuse_DL
/thawslumpScripts/exe_mrcnn.sh
UTF-8
2,798
3.125
3
[ "Apache-2.0" ]
permissive
#!/bin/bash #introduction: Run the whole process of mapping thaw slumps base on Mask_RCNN # #authors: Huang Lingcao #email:huanglingcao@gmail.com #add time: 11 November, 2018 #MAKE SURE the /usr/bin/python, which is python2 on Cryo06 export PATH=/usr/bin:$PATH # python2 on Cryo03, tensorflow 1.6 export PATH=/home/h...
true
a679f721b40adad46d2a32b62fe17bb2f932cccb
Shell
ohmyzsh/ohmyzsh
/plugins/qrcode/qrcode.plugin.zsh
UTF-8
486
3.203125
3
[ "MIT" ]
permissive
# Imported and improved from https://qrcode.show/, section SHELL FUNCTIONS _qrcode_show_message() { echo "Type or paste your text, add a new blank line, and press ^d" } qrcode () { local input="$*" [ -z "$input" ] && _qrcode_show_message && local input="@/dev/stdin" curl -d "$input" https://qrcode.show } qrs...
true
e195cb68278c69082857a8bc84590ed2278d41cf
Shell
emiljas/awsProject
/linuxScripts/startup
UTF-8
829
3.390625
3
[]
no_license
#!/bin/bash apt-get -y install npm npm install npm install -g grunt-cli apt-get -y install s3cmd apt-get -y install nodejs-legacy apt-get -y install graphicsmagick apt-get -y install imagemagick grunt browserify AWS_ACCESS_KEY=$1 AWS_SECRET_KEY=$2 touch .s3cfg sed --in-place "s/access_key/access_key = $AWS_ACCESS_KEY...
true
4a99d31bdd6ff1a9a6403fff4e66ae7475d56470
Shell
felixduvallet/felixd-admin
/dot-files/bash/bashrc.d/bashrc.armarx
UTF-8
1,059
3.453125
3
[]
no_license
# -*- shell-script -*- # ------------------------------------------------------------ # # # This file is located in the .bashrc.d directory. It will be # run when .bashrc is loaded. # # ------------------------------------------------------------ # ArmarX is located here: https://gitlab.com/ArmarX/ # http://h2t-projec...
true
0d4a1cee9c54b911871068a16a7cb1c9ca316d28
Shell
DivvyPayHQ/web-homework
/elixir/test-entrypoint.sh
UTF-8
646
3.453125
3
[ "MIT" ]
permissive
#!/bin/bash # Docker entrypoint script. # Wait until Postgres is ready while ! pg_isready -q -h $POSTGRES_HOST -p 5432 -U $POSTGRES_USER do echo pg_isready -h $POSTGRES_HOST -p 5432 -U $POSTGRES_USER echo $(pg_isready -h $POSTGRES_HOST -p 5432 -U $POSTGRES_USER) echo "$(date) - waiting for database to start" s...
true
c5a1f848bd810f0347b3c89bbaca35be9519fb70
Shell
koenverburg/dotfiles
/macos/.zshrc
UTF-8
2,053
2.5625
3
[]
no_license
export ZSH="$HOME/.oh-my-zsh" export VISUAL="nvim" export EDITOR="nvim" export SHELL="zsh" plugins=( git ) source $ZSH/oh-my-zsh.sh # source ~/.bin/tmuxinator.zsh ## git export REVIEW_BASE="master" # Ruby eval "$(rbenv init -)" #init rbnenv for ruby # Vim alias vim=/usr/local/bin/nvim # tmux alias mux='tmuxinat...
true
27b9890f24ac7aec4bebbb90b1d9882108a6146a
Shell
akifuji/blockchain-simulator
/server/test_3nodes.sh
UTF-8
5,006
2.703125
3
[]
no_license
#!/bin/sh # clock 0 # node1: idle # node2: idle # node3: idle curl -X GET http://localhost:50082/start curl -X GET http://localhost:50083/start curl -X GET http://localhost:50084/start curl -H "Content-type: application/json" -X POST -d '{"sender": "aki", "recipient": "so", "value": 3}' localhost:50082/tx/add node1_s...
true
97cf1e5a0ef3e1aded8253c9ddf90b633c361896
Shell
rushiagr/jenkins-job-config
/cinder-jiocloud.sh
UTF-8
1,274
2.953125
3
[]
no_license
if [ "$GIT_BRANCH" = "origin/master" ] then # Push rebased changes to jiocloud/master, and merged # changes to jiocloud/devmaster git checkout -b jiocloud_master jiocloud/master; git rebase origin/master; tox -e py27; git push jiocloud jiocloud_master:master --force; # If rebase succeeds, then merge to...
true
73b79d279370d581db480fb25a75b4ef73d891e5
Shell
nortonmd/dx-bin
/mkpkg
UTF-8
230
3.015625
3
[]
no_license
#!/bin/bash if [[ $# -eq 1 ]] then package_name=$1 else read -p "Package Name? " package_name fi echo "sfdx force:package2:create -n ${package_name} -o Unlocked -e" sfdx force:package2:create -n ${package_name} -o Unlocked -e
true
88cf112188469af07725bf5c93cc3f2ec59835eb
Shell
nk-gears/terraform
/cfn-templates/aip-bi/lambda/archive-s3/s3-archive-lambda.sh
UTF-8
468
2.9375
3
[]
no_license
#!/usr/bin/env bash set -x aws lambda create-function --function-name s3-copy2archive-lambda \ --runtime python2.7 \ --role "arn:aws:iam::661072482170:role/s3_lambda_copy" \ --handler lambda_handler.lambda_handler \ --zip-file fileb://lambda_handler.zip \ --description "Copy a S3 Put object to the Archive Buck...
true
e97fec891eff8fd7d152b6c2dddce2144f5eecc6
Shell
aryelgois/vcsh-php
/bin/,setup-composer-global
UTF-8
198
2.9375
3
[]
no_license
#!/usr/bin/env bash ,setup-composer if [[ $? -eq 0 ]]; then mkdir -p ~/.local/bin mv composer.phar ~/.local/bin/composer else >&2 echo 'ERROR: Could not install Composer' exit 1 fi
true
97c55b68ae092aa0a07b719088841090a3b1c4e7
Shell
StijnRuts/Dot-scripts
/create-new-user.sh
UTF-8
1,456
3.984375
4
[ "LicenseRef-scancode-philippe-de-muyter" ]
permissive
#!/usr/bin/env bash source ./shared-functions.sh # Loop while user name is blank, has spaces, or has capital letters in it. USER="" while [[ ${#USER} -eq 0 ]] || [[ $USER =~ \ |\' ]] || [[ $USER =~ [^a-z0-9\ ] ]]; do read -p "username:" USER done # Add the user # -m creates the user's home directory # -g the user...
true
753843d858ad658dd48288aca686c70243b47a02
Shell
kgshukla/jboss-datagrid-ocp-upgrade
/populatejdg.sh
UTF-8
279
2.859375
3
[]
no_license
JDG_ROUTE=http://$(oc get route datagrid-app -o template --template='{{.spec.host}}') i=1; while [ $i -le 2000 ] do curl -X POST -i -H "Content-type:application/json" -d "{\"Value $i\"}" $JDG_ROUTE/rest/mycache/$i; (( i++ )) echo "value of i is = $i"; sleep 0.1; done
true
2cbf30918546d77ebb87431c723e004da10683f9
Shell
frap/atea-dotfiles
/source/60_net.sh
UTF-8
1,769
3.40625
3
[ "MIT" ]
permissive
# source secrets such as VCENTER_PASS if [ -f ~/.secrets ]; then . ~/.secrets fi # IP addresses alias wanip="dig +short myip.opendns.com @resolver1.opendns.com" alias myip="curl icanhazip.com" # Your public IP address alias whois="whois -h whois-servers.net" # Flush Directory Service cache alias flush="dscacheutil...
true
eb894b6352b831cc0be4d6c28b6e45f25a883364
Shell
gaffonso/xen_management_scripts
/install_and_configure_redis2611.sh
UTF-8
1,893
3.71875
4
[]
no_license
#!/bin/sh # # run with: # curl -s https://raw.github.com/gaffonso/xen_management_scripts/master/install_and_configure_redis2611.sh | bash -s password # # Note: Script assumes # - vm was created using the xen_create_vm.sh script (or equivalent) # - logged-in as root #set -o xtrace # check params if [ $# -ne 1 ]; the...
true
45010737618893f45272d975c402cb60d231ad7d
Shell
opengauss-mirror/openGauss-server
/docker/dockerfiles/buildDockerImage.sh
UTF-8
5,246
4
4
[ "LicenseRef-scancode-mulanpsl-2.0-en", "LicenseRef-scancode-unknown-license-reference", "PostgreSQL", "BSD-3-Clause", "LGPL-2.0-or-later", "LicenseRef-scancode-unicode", "LicenseRef-scancode-warranty-disclaimer", "curl", "GPL-1.0-or-later", "LGPL-2.1-or-later", "LGPL-2.1-only", "CC-BY-4.0", ...
permissive
#!/bin/bash # Build docker image # Copyright (c) Huawei Technologies Co., Ltd. 2020-2028. All rights reserved. # #openGauss is licensed under Mulan PSL v2. #You can use this software according to the terms and conditions of the Mulan PSL v2. #You may obtain a copy of Mulan PSL v2 at: # # http://license.coscl.o...
true
2ec2af4f406adf5dc859326c9149dbfc549c327d
Shell
magus/dotfiles
/bin/check_bin
UTF-8
114
3.59375
4
[]
no_license
#!/bin/bash # test if first argument exists in path name="$1" if [ ! -f "$(which "$name")" ]; then exit 1 fi
true
042d436d1b3376cd62038174af02cc86aca0f1e4
Shell
terence-bigtt/airBerry
/backend/scripts/install.sh
UTF-8
362
2.765625
3
[]
no_license
#!/bin/bash export airberry_user="airberry" export airberry_home="/home/"$airberry_user export service_name="airberry.service" export service_path="/etc/systemd/system/"$service_name if [[ "$EUID" -ne "0" ]] then echo "Please run as root" exit fi bash ./install-interfaces.sh bash ./install-setupenv.sh bash ./in...
true
0f8cca0effaeadf6736264e534dbe044b42a9fbe
Shell
emilsergiev/dotfiles
/.bashrc
UTF-8
1,717
2.953125
3
[]
no_license
# # ~/.bashrc # # If not running interactively, don't do anything [[ $- != *i* ]] && return ## Useful aliases alias ls='exa -al --color=always --group-directories-first' # preferred listing alias la='exa -a --color=always --group-directories-first' # all files and dirs alias ll='exa -l --color=always --group-directo...
true
f920e7231bdd933242db161b445ba94d59e10f5b
Shell
vikassamadhiya1/core-kubernetes-infra---Copy
/deploy-server.sh
UTF-8
2,886
3.53125
4
[]
no_license
#!/bin/bash # [ -n "${AWS_ACCESS_KEY_ID}" ] || { echo "AWS_ACCESS_KEY_ID environment variable not defined"; exit 1; } [ -n "${AWS_SECRET_ACCESS_KEY}" ] || { echo "AWS_SECRET_ACCESS_KEY environment variable not defined"; exit 1; } [ -n "${PDXC_ENV}" ] || { echo "PDXC_ENV environment variable not defined"; exit 1; } ...
true
5617bf19a05f502227bb156f347898b4217c0c62
Shell
twosigma/waiter
/containers/raven/raven-start
UTF-8
3,581
4.03125
4
[ "Apache-2.0", "LicenseRef-scancode-generic-cla" ]
permissive
#!/bin/sh # This script takes no argument and uses SERVICE_PORT and PORT0 environment variables # to setup /etc/envoy/envoy.yaml file. # SERVICE_PORT and PORT0 must be set # FORCE_TLS_TERMINATION is optional (true|false, default false) # HEALTH_CHECK_POROTOCOL is optional (https|http|h2|h2c, default to SERVICE_PROTOCOL...
true
157ee6681a82fefcd6579b024d4db990f23e704f
Shell
bs111/FFmpegBuildTool
/macos/tools/do-compile-ffmpeg.sh
UTF-8
4,318
3.484375
3
[ "MIT" ]
permissive
#! /usr/bin/env bash RED='\033[0;31m' Green='\033[0;33m' NC='\033[0m' # No Color echo "--------------------" echo "${RED}[*] check input params [检查输入参数] $1 ${NC}" echo "--------------------" ARCH=$1 BUILD_OPT=$2 echo "ARCH[架构] = $ARCH" echo "BUILD_OPT[构建参数] = $BUILD_OPT" if [ -z "$ARCH" ]; then echo "You must ...
true
9edff5eaa809f8dae1f97ca1b2e48f1d515c3594
Shell
jbranchaud/deval
/VoldemortS1.sh
UTF-8
4,095
3.609375
4
[]
no_license
#!/bin/sh # VoldemortS1 # # This shell script will setup scenario1 for the Voldemort project. if [ -z "$DEVAL" ] then echo "Your DEVAL variable is emtpy, please run setup.sh." exit 1 fi if [ -z "$DEVALSUB" ] then echo "Your DEVALSUB variable is empty, please run setup.sh." exit 1 fi # setup the dire...
true
4fe3951b93387ebde4579f8221cb14931368e7dd
Shell
pld-linux/libcgroup
/cgred.init
UTF-8
2,085
3.953125
4
[]
no_license
#!/bin/sh # # cgred CGroups Rules Engine Daemon # chkconfig: 2345 02 98 # description: This is a daemon for automatically classifying processes \ # into cgroups based on UID/GID. # # processname: cgrulesengd # pidfile: /var/run/cgrulesengd.pid # # Source function library . /etc/rc.d/init.d/functions # Read in confi...
true
208cc715c1161377fdbedd019f20a41066612b1d
Shell
jasonltorchinsky/vert_remap
/run/debug_local.sh
UTF-8
862
3.484375
3
[]
no_license
#!/bin/bash # Runs the vertical remapping code on a local machine. # Set directory path variables. run_dir=`pwd` build_dir=../build # Re-build the application echo '-- Re-building executable...' cd "$build_dir" rm -rf * cmake .. cmake --build . exec=vert_remap if test -f "$exec"; then # Set run variables ec...
true
f69ed2a1f547b736679b21673d09fadd1e3c55ee
Shell
hringriin/chordbook
/addToSetlist.sh
UTF-8
9,868
4
4
[]
no_license
#!/bin/bash ################################################################################# # Title : Add Leadsheets/Chords/Texts/... to Setlist # # Author : Joschka Koester # # E-Mail (work): jkoester@tzi.de ...
true
3d643e9be9c6a6829c7c46dc68992581e3c159f3
Shell
darthbrian/vagrinit5
/pyinstall.sh
UTF-8
1,920
3.75
4
[]
no_license
#!/usr/bin/env bash echo "Installing Python and setting it up..." isUbuntu=`uname -a | grep -ic 'ubuntu'` isDebian=`uname -a | grep -ic 'debian'` if [[ $isUbuntu -gt 0 || $isDebian -gt 0 ]]; then echo "Detected Ubuntu or Debian Installation. Using apt-get to install Python..." if ! [ -x "$(command -v python)" ...
true
63d4bca27e52ccf9d133449c06a0ffb6e29c4439
Shell
rperea14/drigoscripts
/drigo_Tractography/older/drigo_Tracts/drigo_TractThalamus.sh
UTF-8
3,821
3.484375
3
[]
no_license
#!/bin/bash #Rodrigo Perea #rperea@kumc.edu (alternative email grandrigo@gmail.com) #PLEASE ADD DESCRIPTION HERE:!!!!!! # # #THIS SCRIPT WAS CREATED UNDER bash version 3.2 unders OSX 10.7. To check your bash version, #enter bash --version #Any questions please feel free to contact me at the email provided above. SOU...
true
24f216cc6a703590b1786c70cbb6ee1bfe8cddd0
Shell
Fantombear/ORIE5270
/project/process_data/code/quotebbo.sh
UTF-8
473
3.140625
3
[]
no_license
filename='filelist' filelines=`cat $filename` directory=taq.12.2014/ for line in $filelines ; do echo $line locate_dir=$'s3://'$directory$line sudo aws s3 cp $locate_dir ./temp.zip; name_file="$(unzip -l temp.zip | awk '/-----/ {p = ++p % 2; next} p {print $NF}')"; unzip -o temp.zip; rm -f temp.zip; ...
true
2c92c795b2de65de5b9f27e633179667a21a767a
Shell
hileamlakB/tuxcut
/client/images/icons2py.sh
UTF-8
289
3.203125
3
[]
no_license
#!/usr/bin/env bash # clean the old icons.py rm -rf ../icons.py arr=($(ls *.png)) # create new icons.py with all ocons in the directory for icon in ${arr[@]} do if [ $icon = ${arr[0]} ]; then img2py $icon ../icons.py else img2py -a $icon ../icons.py fi done
true
eb173c5c2f5fa8987791ef29710bcb8b2292116b
Shell
cathay4t/bin_folder
/tk
UTF-8
121
2.65625
3
[]
no_license
#!/bin/bash TOKEN=`pytoken` if [ "CHK${DISPLAY}" != "CHK" ];then echo -n $TOKEN | xclip -selection c fi echo $TOKEN
true
f2cbbb6d0038f45e95a0f79aa68d349d42952f83
Shell
ldwardx/InjectionIIISupportDevice
/InjectionIII/InjectionSetup
UTF-8
1,424
3.53125
4
[ "MIT" ]
permissive
#! /bin/bash #InjectionSetup if [[ ! -d "/Applications/Xcode.app" ]]; then exit 0 fi export CODESIGN_ALLOCATE=/Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/bin/codesign_allocate app="$BUILT_PRODUCTS_DIR/$FULL_PRODUCT_NAME" bundle_src="/Applications/InjectionIII.app/Contents/R...
true
079e21c0effbe04505a8b0e86a1522e880edcb75
Shell
jaeee/jaee-Demo
/procbar.sh
UTF-8
535
3.015625
3
[]
no_license
######################################################################### # File Name: procbar.sh # Author: liumin # mail: 1106863227@qq.com # Created Time: Sun 02 Jul 2017 09:21:46 AM CST ######################################################################### #!/bin/bash num=0 str='#' max=100 pro=('|' '/' '-' '\') ...
true
6263176cef2cd5370400df230b191fe456a1f687
Shell
jairsjunior/kafka-kerberos
/tests/test-using-rest-proxy.sh
UTF-8
1,763
3.109375
3
[]
no_license
# Produce a message using JSON with the value '{ "foo": "bar" }' to the topic test-topic echo "Producing message 1" curl -X POST -H "Content-Type: application/vnd.kafka.json.v2+json" \ -H "Accept: application/vnd.kafka.v2+json" \ --data '{"records":[{"value":{"foo":"bar 1"}}]}' "http://localhost:8082/topics...
true
d5e1ca5ce8444f436fa696b298b5e11ba3461ce9
Shell
tjmacke/dd_maps
/scripts/get_addrs_from_runs.sh
UTF-8
2,775
3.125
3
[ "MIT" ]
permissive
#! /bin/bash # . ~/etc/funcs.sh export LC_ALL=C U_MSG="usage: $0 [ -help ] [ -c addr-info-file ] -at { src | dst } [ runs-file ]" if [ -z "$DM_HOME" ] ; then LOG ERROR "DM_HOME is not defined" exit 1 fi DM_ADDRS=$DM_HOME/addrs DM_ETC=$DM_HOME/etc DM_LIB=$DM_HOME/lib DM_SCRIPTS=$DM_HOME/scripts # awk v3 does not su...
true